package com.example.gestionstagesbackend.repositories;

import com.example.gestionstagesbackend.model.Enterprise;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import java.util.Optional;

public interface EnterpriseRepository extends JpaRepository<Enterprise, Long> {

    @Query("SELECT e FROM Enterprise e LEFT JOIN FETCH e.stages WHERE e.id = :id")
    Optional<Enterprise> findByIdWithStages(@Param("id") Long id);
}
